1. Docs
  2. API Reference
  3. Get a group

Get a group

GET/scim/v2/directories/{directoryId}/Groups/{id}

SCIM 2.0 (RFC 7644 §3.4.1). Returns one of this directory's groups by its SCIM id, with its members. Errors use SCIM's error schema (RFC 7644 §3.12).

Path Parameters

directoryIdstring Required

The directory the SCIM token was minted for.

idstring Required

Responses

application/scim+json

  • schemasstring[]*
  • idstring*
  • externalIdstring
  • displayNamestring*
  • membersScimMemberDto[]*
  • metaScimMetaDto*

application/scim+json

  • schemasstring[]*
  • statusstring*

    The HTTP status, as a string

  • detailstring*
  • scimTypestring

    Present for some refusals, e.g. `uniqueness`

application/scim+json

  • schemasstring[]*
  • statusstring*

    The HTTP status, as a string

  • detailstring*
  • scimTypestring

    Present for some refusals, e.g. `uniqueness`

Returned object

Request
curl -X GET "https://auth.canopy-io.com/scim/v2/directories/value/Groups/value"
Response
{
  "schemas": [
    "urn:ietf:params:scim:schemas:core:2.0:Group"
  ],
  "id": "string",
  "externalId": "string",
  "displayName": "string",
  "members": [
    {
      "value": "string"
    }
  ],
  "meta": {
    "resourceType": "User",
    "created": "2026-04-20T12:00:00.000Z",
    "lastModified": "2026-04-20T12:00:00.000Z",
    "location": "string",
    "version": "string"
  }
}
Related endpoints Was this page helpful?

Tell us how we can improve this guide.